clang-tools 8.0.0

Public Member Functions | List of all members
clang::doc::MapASTVisitor Class Reference

`#include <Mapper.h>`

Inheritance diagram for clang::doc::MapASTVisitor:
[legend]
Collaboration diagram for clang::doc::MapASTVisitor:
[legend]

## Public Member Functions
| MapASTVisitor (ASTContext *Ctx, ClangDocContext CDCtx)
void | HandleTranslationUnit (ASTContext &Context) override
bool | VisitNamespaceDecl (const NamespaceDecl *D)
bool | VisitRecordDecl (const RecordDecl *D)
bool | VisitEnumDecl (const EnumDecl *D)
bool | VisitCXXMethodDecl (const CXXMethodDecl *D)
bool | VisitFunctionDecl (const FunctionDecl *D)

## Detailed Description

Definition at line 31 of file Mapper.h.

## Constructor & Destructor Documentation

## ◆ MapASTVisitor()

clang::doc::MapASTVisitor::MapASTVisitor | ( | ASTContext * | Ctx,
|  | ClangDocContext | CDCtx
| ) |  |
| inline explicit

Definition at line 34 of file Mapper.h.

## Member Function Documentation

## ◆ HandleTranslationUnit()

void clang::doc::MapASTVisitor::HandleTranslationUnit | ( | ASTContext & | Context | ) |
| override

Definition at line 23 of file Mapper.cpp.

## ◆ VisitCXXMethodDecl()

bool clang::doc::MapASTVisitor::VisitCXXMethodDecl | ( | const CXXMethodDecl * | D | ) |

Definition at line 61 of file Mapper.cpp.

## ◆ VisitEnumDecl()

bool clang::doc::MapASTVisitor::VisitEnumDecl | ( | const EnumDecl * | D | ) |

Definition at line 59 of file Mapper.cpp.

## ◆ VisitFunctionDecl()

bool clang::doc::MapASTVisitor::VisitFunctionDecl | ( | const FunctionDecl * | D | ) |

Definition at line 65 of file Mapper.cpp.

## ◆ VisitNamespaceDecl()

bool clang::doc::MapASTVisitor::VisitNamespaceDecl | ( | const NamespaceDecl * | D | ) |

Definition at line 53 of file Mapper.cpp.

## ◆ VisitRecordDecl()

bool clang::doc::MapASTVisitor::VisitRecordDecl | ( | const RecordDecl * | D | ) |

Definition at line 57 of file Mapper.cpp.

The documentation for this class was generated from the following files:

- Mapper.h
- Mapper.cpp